CREATE TABLE IF NOT EXISTS `devices` (
`id` INTEGER auto_increment,
`token` CHAR(255) BINARY,
`user_id` INTEGER,
`createdAt` DATETIME NOT NULL,
`updatedAt` DATETIME NOT NULL,
PRIMARY KEY (`id`),
FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE) ENGINE=InnoDB;